Mike Banon has posted comments on this change. ( https://review.coreboot.org/23837 )
Change subject: dummyflasher: make it possible to choose MX25L6436 for emulation
......................................................................
Patch Set 1:
> I'm having trouble to understand this change. What's the benefit
> in having to specify "MX25L6405" to emulate an MX25L6436? Or is
> anything broken atm?
After retesting the master I discovered that " ./flashrom -p dummy:emulate=MX25L6436 -c "MX25L6436E/MX25L6445E/MX25L6465E/MX25L6473E/MX25L6473F" " works OK. Sorry, I probably got confused by that flashchips.c doesn't have "MX25L6436" chip - has "MX25L6436E" instead, and when I initially tried " ./flashrom -p dummy:emulate=MX25L6436E " it didn't work --- so while trying to make things work I renamed "6436" to " 6405"... This change could be abandoned now, but maybe in the future we could rename MX25L6436 to MX25L6436E in those few places for clarity
--
To view, visit https://review.coreboot.org/23837
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: flashrom
Gerrit-Branch: master
Gerrit-MessageType: comment
Gerrit-Change-Id: I687f4fd23fa2234d74b992749b0eab44efcebc1c
Gerrit-Change-Number: 23837
Gerrit-PatchSet: 1
Gerrit-Owner: Mike Banon <mikebdp2(a)gmail.com>
Gerrit-Reviewer: Mike Banon <mikebdp2(a)gmail.com>
Gerrit-Reviewer: Nico Huber <nico.h(a)gmx.de>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-Comment-Date: Wed, 21 Feb 2018 21:55:25 +0000
Gerrit-HasComments: No
Gerrit-HasLabels: No
Nico Huber has posted comments on this change. ( https://review.coreboot.org/23702 )
Change subject: flashchips: Add ZD25D20
......................................................................
Patch Set 3:
needs a manual rebase
--
To view, visit https://review.coreboot.org/23702
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: flashrom
Gerrit-Branch: master
Gerrit-MessageType: comment
Gerrit-Change-Id: Idf805252647be44e28296a161d2e6160710bcc71
Gerrit-Change-Number: 23702
Gerrit-PatchSet: 3
Gerrit-Owner: David Hendricks <david.hendricks(a)gmail.com>
Gerrit-Reviewer: Nico Huber <nico.h(a)gmx.de>
Gerrit-Reviewer: Paul Menzel <paulepanter(a)users.sourceforge.net>
Gerrit-Reviewer: Stefan Tauner <stefan.tauner(a)gmx.at>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-Comment-Date: Wed, 21 Feb 2018 21:34:39 +0000
Gerrit-HasComments: No
Gerrit-HasLabels: No
Nico Huber has submitted this change and it was merged. ( https://review.coreboot.org/22971 )
Change subject: git-hooks: Fix install script for various git versions
......................................................................
git-hooks: Fix install script for various git versions
There are older versions of git-rev-parse that don't understand the
`--git-path` switch. Also, when the install script was written, git-
rev-parse had a bug when it wasn't run from the root directory. They
fixed the behaviour by now. To simplify things and not have to account
for that too, we just bail out when the script is run from a sub-
directory.
Change-Id: I7ee8d4d54db48f7207fe8abf895c7fbba7685ad2
Signed-off-by: Nico Huber <nico.h(a)gmx.de>
Reviewed-on: https://review.coreboot.org/22971
Tested-by: build bot (Jenkins) <no-reply(a)coreboot.org>
Reviewed-by: David Hendricks <david.hendricks(a)gmail.com>
---
M util/git-hooks/install.sh
1 file changed, 15 insertions(+), 5 deletions(-)
Approvals:
build bot (Jenkins): Verified
David Hendricks: Looks good to me, approved
diff --git a/util/git-hooks/install.sh b/util/git-hooks/install.sh
index d557c2f..fda0098 100755
--- a/util/git-hooks/install.sh
+++ b/util/git-hooks/install.sh
@@ -3,18 +3,28 @@
root=$(git rev-parse --show-cdup 2>/dev/null) || \
{ echo "Not under git control. Cannot install git hooks." >&2 ; exit 0 ; }
-dst="${root}"$(git rev-parse --git-path hooks/)
+[ -z "${root}" ] || \
+ { echo "Not in root directory. Can only run from git root." >&2 ; exit 1 ; }
+
src=util/git-hooks/ # relative to root
-hooks=$(cd "${root}${src}" && git ls-files -c | grep -Ev 'install.sh|wrapper.sh')
+hooks=$(cd "${src}" && git ls-files -c | grep -Ev 'install.sh|wrapper.sh')
+
+if [ "$(git rev-parse --git-path 2>/dev/null)" = "--git-path" ]; then
+ # very old git, we have to guess
+ dst=".git/hooks/"
+ rel="../../"
+else
+ dst=$(git rev-parse --git-path hooks/)
+ rel=$(git rev-parse --prefix "${dst}" --show-cdup)
+fi
for h in $hooks; do
# Test if hook is not already installed, i.e. doesn't point at the wrapper
- if [ ! "${dst}$h" -ef "${root}${src}wrapper.sh" ]; then
+ if [ ! "${dst}$h" -ef "${src}wrapper.sh" ]; then
# preserve custom hooks if any
if [ -e "${dst}$h" ]; then
mv "${dst}$h" "${dst}$h.local"
fi
- ln -s "$(git rev-parse --prefix $(git rev-parse --git-path hooks/) --show-cdup)${src}wrapper.sh" \
- "${dst}$h"
+ ln -s "${rel}${src}wrapper.sh" "${dst}$h"
fi
done
--
To view, visit https://review.coreboot.org/22971
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: flashrom
Gerrit-Branch: master
Gerrit-MessageType: merged
Gerrit-Change-Id: I7ee8d4d54db48f7207fe8abf895c7fbba7685ad2
Gerrit-Change-Number: 22971
Gerrit-PatchSet: 3
Gerrit-Owner: Nico Huber <nico.h(a)gmx.de>
Gerrit-Reviewer: David Hendricks <david.hendricks(a)gmail.com>
Gerrit-Reviewer: Nico Huber <nico.h(a)gmx.de>
Gerrit-Reviewer: Paul Menzel <paulepanter(a)users.sourceforge.net>
Gerrit-Reviewer: Stefan Tauner <stefan.tauner(a)gmx.at>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Nico Huber has posted comments on this change. ( https://review.coreboot.org/23837 )
Change subject: dummyflasher: make it possible to choose MX25L6436 for emulation
......................................................................
Patch Set 1:
I'm having trouble to understand this change. What's the benefit
in having to specify "MX25L6405" to emulate an MX25L6436? Or is
anything broken atm?
--
To view, visit https://review.coreboot.org/23837
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: flashrom
Gerrit-Branch: master
Gerrit-MessageType: comment
Gerrit-Change-Id: I687f4fd23fa2234d74b992749b0eab44efcebc1c
Gerrit-Change-Number: 23837
Gerrit-PatchSet: 1
Gerrit-Owner: Mike Banon <mikebdp2(a)gmail.com>
Gerrit-Reviewer: Nico Huber <nico.h(a)gmx.de>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-Comment-Date: Wed, 21 Feb 2018 21:14:59 +0000
Gerrit-HasComments: No
Gerrit-HasLabels: No
build bot (Jenkins) has posted comments on this change. ( https://review.coreboot.org/23837 )
Change subject: dummyflasher: make it possible to choose MX25L6436 for emulation
......................................................................
Patch Set 1: Verified+1
Build Successful
https://qa.coreboot.org/job/flashrom-customrules/1160/ : SUCCESS
https://qa.coreboot.org/job/flashrom_gerrit/974/ : SUCCESS
--
To view, visit https://review.coreboot.org/23837
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: flashrom
Gerrit-Branch: master
Gerrit-MessageType: comment
Gerrit-Change-Id: I687f4fd23fa2234d74b992749b0eab44efcebc1c
Gerrit-Change-Number: 23837
Gerrit-PatchSet: 1
Gerrit-Owner: Mike Banon <mikebdp2(a)gmail.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-Comment-Date: Wed, 21 Feb 2018 20:34:06 +0000
Gerrit-HasComments: No
Gerrit-HasLabels: Yes
Mike Banon has uploaded this change for review. ( https://review.coreboot.org/23837
Change subject: dummyflasher: make it possible to choose MX25L6436 for emulation
......................................................................
dummyflasher: make it possible to choose MX25L6436 for emulation
flashchips.h does not have "#define MACRONIX_MX25L6436" - instead
MX25L6436 chip currently belongs to "#define MACRONIX_MX25L6405". This
commit makes it possible to emulate MX25L6436 by choosing MX25L6405
Change-Id: I687f4fd23fa2234d74b992749b0eab44efcebc1c
Signed-off-by: Mike Banon <mikebdp2(a)gmail.com>
---
M dummyflasher.c
1 file changed, 1 insertion(+), 1 deletion(-)
git pull ssh://review.coreboot.org:29418/flashrom refs/changes/37/23837/1
diff --git a/dummyflasher.c b/dummyflasher.c
index 1c0c85b..e104617 100644
--- a/dummyflasher.c
+++ b/dummyflasher.c
@@ -322,7 +322,7 @@
msg_pdbg("Emulating SST SST25VF032B SPI flash chip (RDID, AAI "
"write)\n");
}
- if (!strcmp(tmp, "MX25L6436")) {
+ if (!strcmp(tmp, "MX25L6405")) {
emu_chip = EMULATE_MACRONIX_MX25L6436;
emu_chip_size = 8 * 1024 * 1024;
emu_max_byteprogram_size = 256;
--
To view, visit https://review.coreboot.org/23837
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: flashrom
Gerrit-Branch: master
Gerrit-MessageType: newchange
Gerrit-Change-Id: I687f4fd23fa2234d74b992749b0eab44efcebc1c
Gerrit-Change-Number: 23837
Gerrit-PatchSet: 1
Gerrit-Owner: Mike Banon <mikebdp2(a)gmail.com>